Inspect

List pull request previews

List the latest state of every preview reported for a pull request, as stored on the Inspect sessions currently linked to it.

Base URL
GET
/api/public/v1/repositories/{owner}/{repo}/pulls/{pull_number}/previews

List the latest state of every preview reported for a pull request, as stored on the Inspect sessions currently linked to it.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

owner*string

GitHub repository owner.

Length1 <= length
repo*string

GitHub repository name.

Length1 <= length
pull_number*integer

Pull request number.

Formatint64
Range0 < value

Response Body

Previews for the pull request

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/repositories/string/string/pulls/1/previews'
Example Response
{  "data": [    {      "name": "string",      "label": "string",      "status": "deploying",      "url": "http://example.com",      "commit_sha": "string",      "deployed_commit_sha": "string",      "last_succeeded_at": "2019-08-24T14:15:22Z",      "job_url": "http://example.com",      "error": "string",      "occurred_at": "2019-08-24T14:15:22Z"    }  ]}